关于springboot2.0.0配置多数据源出现jdbcUrl is required with driverClassName的错误

原文传送门

在Spring Boot 1.5.x之前,多数据源编程已经有很多教程和例子了,比如恒宇少年的博客还有程序猿DD的博客,我就是在两位大拿的教程下学习的。

但是在升级到Spring Boot 2.0后,一些配置及用法有了变化,如果不小心就会碰到“jdbcUrl is required with driverClassName.”的错误,详细错误信息可以查看这里

我经过一番努力,查找资料,终于找到了解决办法,在这里分享出来,省得后来者再去查找资料。

第一种方法:
在配置文件中使用spring.datasource.jdbc-url,而不是通常使用的spring.datasource.url。 输入图片说明
在这里也请大佬们帮忙解释下spring.datasource.jdbc-url和spring.datasource.url的区别。

第二种方法:
在数据源配置时使用DataSourceProperties方法。
输入图片说明

展开阅读全文

没有更多推荐了,返回首页